# Add Node version use in your project. Recommender use LTS last version.
# (1)
#image: node:16.15.0
image: node:14.18.2
# (2)
pages:
  cache:
    paths:
      - node_modules/
  # (3)
  script:
    # Use Angular version 13 because use in current project
    #- npm install -g @angular/cli@13
    - npm install -g @angular/cli@12
    - npm install
    - npm run prod
  # (4) especify path in directory to take content to publish angular app
  artifacts:
    paths:
      - public
  # (5) Detect changes in select branches
  only:
    - main
    - develop-consolidator